import { Specification } from './Specification';
export declare class IBANSpecification implements Specification {
    countryCode: string;
    length: number;
    structure: string;
    example: string;
    private cachedRegex?;
    constructor(countryCode: string, length: number, structure: string, example: string);
    private parseStructure;
    private get regex();
    private iso13616Prepare;
    private getCountryCode;
    private iso7064Mod97_10;
    isValidIBAN(iban: string): boolean;
    isValidBBAN(bban: string): boolean;
}
//# sourceMappingURL=IBANSpecification.d.ts.map