/**
 * Validates an Ethereum wallet address.
 *
 * This function checks if the provided address is a valid Ethereum address by verifying
 * its format and checksum.
 *
 * @param {string} address - The Ethereum wallet address to validate.
 * @returns {boolean} True if the address is valid, false otherwise.
 */
export declare function isValidEthereumWalletAddress(address: string): boolean;
//# sourceMappingURL=validateEthereumWalletAddress.d.ts.map